class RewardStatus:
    def __init__(self, id, name, points_needed, cost, redeeming, image_id):
        self.id = id
        self.name = name
        self.points_needed = points_needed
        self.cost = cost
        self.redeeming = redeeming
        self.image_id = image_id

    def to_dict(self):
        return {
            'id': self.id,
            'name': self.name,
            'points_needed': self.points_needed,
            'cost': self.cost,
            'redeeming': self.redeeming,
            'image_id': self.image_id
        }